Loading...
Searching...
No Matches
Opm::SubDomain< Grid > Struct Template Reference

Representing a part of a grid, in a way suitable for performing local solves. More...

`#include <SubDomain.hpp>`

Inheritance diagram for Opm::SubDomain< Grid >:

## Public Member Functions

| SubDomain (const int i, std::vector< int > &&c, std::vector< bool > &&in, Dune::SubGridPart< Grid > &&v, bool s)
Public Member Functions inherited from Opm::SubDomainIndices
| SubDomainIndices (const int i, std::vector< int > &&c, std::vector< bool > &&in, bool s)

## Public Attributes

Dune::SubGridPart< Grid > | view
Public Attributes inherited from Opm::SubDomainIndices
int | index
std::vector< int > | cells
std::vector< bool > | interior
bool | skip

## Detailed Description

template<class Grid>
struct Opm::SubDomain< Grid >

Representing a part of a grid, in a way suitable for performing local solves.

The documentation for this struct was generated from the following file:

- opm/simulators/flow/SubDomain.hpp